Bug 976686 - CVE-2013-2208 tpp: Possibility of arbitrary code execution when processing untrusted TPP template [fedora-all]
CVE-2013-2208 tpp: Possibility of arbitrary code execution when processing un...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tpp (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-2208
  Show dependency treegraph
 
Reported: 2013-06-21 03:56 EDT by Jan Lieskovsky
Modified: 2014-02-18 18:02 EST (History)
2 users (show)

See Also:
Fixed In Version: tpp-1.3.1-17.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:24:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-06-21 03:56:43 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-06-21 03:56:52 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=976684,976686
Comment 2 Fedora End Of Life 2013-12-21 09:05:27 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Jesus M. Rodriguez 2014-01-18 14:53:54 EST
Patch applied to el6, f19, f20.
Comment 4 Fedora Update System 2014-01-28 13:27:49 EST
tpp-1.3.1-16.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tpp-1.3.1-16.el6
Comment 5 Fedora Update System 2014-01-28 13:32:17 EST
tpp-1.3.1-16.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tpp-1.3.1-16.fc20
Comment 6 Fedora Update System 2014-01-28 13:33:15 EST
tpp-1.3.1-16.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tpp-1.3.1-16.fc19
Comment 7 Fedora Update System 2014-01-29 16:22:52 EST
Package tpp-1.3.1-16.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing tpp-1.3.1-16.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0393/tpp-1.3.1-16.el6
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-01-31 12:26:42 EST
tpp-1.3.1-17.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tpp-1.3.1-17.el6
Comment 9 Fedora Update System 2014-01-31 12:27:55 EST
tpp-1.3.1-17.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tpp-1.3.1-17.fc20
Comment 10 Fedora Update System 2014-01-31 12:29:11 EST
tpp-1.3.1-17.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tpp-1.3.1-17.fc19
Comment 11 Fedora End Of Life 2014-02-05 18:24:54 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Fedora Update System 2014-02-11 18:06:16 EST
tpp-1.3.1-17.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2014-02-11 18:17:19 EST
tpp-1.3.1-17.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2014-02-18 18:02:31 EST
tpp-1.3.1-17.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.